Bug 34489 - thin client image /boot partition to small for (kernel) updates
thin client image /boot partition to small for (kernel) updates
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Image Thin Client
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-07 13:32 CEST by Felix Botner
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-04-07 13:32:36 CEST
A kernel update on the current thin client image does not work, the /boot partition is too small

-> apt-get dist-upgrade
...
mkdir: das Verzeichnis »/tmp/mkinitramfs_pm4bBG//lib/i386-linux-gnu“ kann nicht angelegt werden: Die Datei existiert bereits
cp: Fehler beim Schreiben von »/tmp/mkinitramfs_pm4bBG//lib/i386-linux-gnu“: Auf dem Gerät ist kein Speicherplatz mehr verfügbar
cp: »/tmp/mkinitramfs_pm4bBG//lib/i386-linux-gnu“ konnte nicht erweitert werden: Auf dem Gerät ist kein Speicherplatz mehr verfügbar
...

-> df -h /boot/
Dateisystem    Größe Benutzt Verf. Verw% Eingehängt auf
/dev/sda2        88M     84M     0  100% /boot

One kernel alone needs 50MB in /boot, so our 100MB boot partition is too small for two kernels.

We need a bigger /boot partition (150 MB).
But what is with the already installed/partitioned thin-clients. During Image update to UCC 2.0 the partitioning is not changed further kernel updates will fail.

Maybe we could:

(1) don't allow kernel updates on thin clients (remove kernel meta package from thin client)

(2) don't allow package updates on thin clients but provide new (updated) thin client images,
Comment 1 Felix Botner univentionstaff 2014-04-24 17:55:34 CEST
Added a new option "packages_hold" to the image config. ucc-image sets all those packages to hold with "apt-mark hold" during image creation. 

linux-image-generic has been added to  "packages_hold" in example/ucc-thinclient.cfg.

On new thinclient image the package should be set to hold.
->  apt-mark showhold
linux-image-generic

This should prevent kernel updates on thinclients.
Comment 2 Moritz Muehlenhoff univentionstaff 2014-04-28 15:26:36 CEST
Ok, with the latest thin client image, the kernel meta package is put on hold:

root@test2:~# dpkg --list | grep linux-image
ii  linux-image-3.13.0-24-generic        3.13.0-24.46                             i386         Linux kernel image for version 3.13.0 on 32 bit x86 SMP
ii  linux-image-extra-3.13.0-24-generic  3.13.0-24.46                             i386         Linux kernel extra modules for version 3.13.0 on 32 bit x86 SMP
hi  linux-image-generic                  3.13.0.24.29
Comment 3 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:57 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".